> ## Documentation Index
> Fetch the complete documentation index at: https://docs.satsuma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Categories

> List all available categories



## OpenAPI

````yaml api-reference/openapi.json get /merchant/{merchantId}/category
openapi: 3.1.0
info:
  title: Satsuma API
  description: API specification for Satsuma AI commerce platform
  contact:
    name: Satsuma Support
    url: https://satsuma.ai
    email: support@satsuma.ai
  version: 1.0.0
servers:
  - url: https://api.satsuma.ai
    description: Production
security:
  - apiKeyAuth: []
paths:
  /merchant/{merchantId}/category:
    get:
      tags:
        - Category
      summary: List Categories
      description: List all available categories
      operationId: findCategories
      parameters:
        - name: merchantId
          in: path
          description: Merchant identifier
          required: true
          schema:
            type: string
        - name: page
          in: query
          description: Zero-based page index (0..N)
          required: false
          schema:
            minimum: 0
            type: integer
            default: 0
        - name: size
          in: query
          description: The size of the page to be returned
          required: false
          schema:
            minimum: 1
            type: integer
            default: 20
        - name: sort
          in: query
          description: >-
            Sorting criteria in the format: property,(asc|desc). Default sort
            order is ascending. Multiple sort criteria are supported.
          required: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseListCategory'
components:
  schemas:
    PagedResponseListCategory:
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Category'
        messages:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/Message'
        total:
          type: integer
          format: int64
    Category:
      properties:
        id:
          type: string
        merchant_id:
          type: string
        external_id:
          type: string
        name:
          type: string
        parent_id:
          type: string
        parent_external_id:
          type: string
        level:
          type: string
          enum:
            - Department
            - Class
            - Subclass
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        depth:
          type: integer
          format: int32
    Message:
      properties:
        context:
          type: string
        level:
          type: string
          enum:
            - Information
            - Warning
            - Error
        text:
          type: string
        data:
          type: object
          additionalProperties: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: API Key authentication
      name: Authorization
      in: header

````